Debian Bug report logs - #444551
mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory

version graph

Package: mailutils; Maintainer for mailutils is Jordi Mallach <jordi@debian.org>; Source for mailutils is src:mailutils.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 29 Sep 2007 10:39:11 UTC

Severity: serious

Tags: patch

Found in version mailutils/1:1.1+dfsg1-3.1

Done: Ana Guerrero <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#444551; Package mailutils. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sat, 29 Sep 2007 12:28:30 +0200
Package: mailutils
version: 1:1.1+dfsg1-3.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20070928 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c sql.c -o sql.o >/dev/null 2>&1
/bin/sh ../libtool --tag=CC --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox   -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c -o tls.lo tls.c
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c tls.c  -fPIC -DPIC -o .libs/tls.o
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c tls.c -o tls.o >/dev/null 2>&1
/bin/sh ../libtool --tag=CC --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox   -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c -o virtual.lo virtual.c
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c virtual.c  -fPIC -DPIC -o .libs/virtual.o
virtual.c: In function 'getpwnam_ip_virtual':
virtual.c:102: warning: pointer targets in passing argument 3 of 'getsockname' differ in signedness
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I../include -I../lib -I.. -I../include -I../include/mailutils/gnu -I../mailbox -DSYSCONFDIR=\"/etc\" -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2 -c virtual.c -o virtual.o >/dev/null 2>&1
/bin/sh ../libtool --tag=CC --mode=link cc -DSITE_VIRTUAL_PWDDIR=\"/etc/domain\" -DSITE_CRAM_MD5_PWD=\"/etc/cram-md5.pwd\" -g -Wall -O2   -o libmuauth.la -rpath /usr/lib -version-info 1:0:0 gsasl.lo lbuf.lo pam.lo radius.lo sql.lo tls.lo virtual.lo ../mailbox/libmailutils.la  -lgsasl -lgnutls -lgcrypt -lpam -ldl ../sql/libsql.la -lm -L/usr/local/lib/mysql -lmysqlclient  -lcrypt -lresolv  -lpthread -lgdbm
libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
grep: /usr/lib/libntlm.la: No such file or directory
/bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
make[3]: *** [libmuauth.la] Error 1
make[3]: Leaving directory `/build/user/mailutils-1.1+dfsg1/auth'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/user/mailutils-1.1+dfsg1'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/user/mailutils-1.1+dfsg1'
make: *** [debian/stamp-makefile-build] Error 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/09/28

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#444551; Package mailutils. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #10 received at 444551@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 444551@bugs.debian.org
Cc: 444311@bugs.debian.org, control@bugs.debian.org, asac@debian.org
Subject: Re: Bug#444551: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sun, 30 Sep 2007 06:29:53 +0200
[Message part 1 (text/plain, inline)]
severity 444311 grave
tag 444311 patch
block 444551 by 444311
tag 444551 patch
thanks

Lucas Nussbaum <lucas@lucas-nussbaum.net> (29/09/2007):
> libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
> grep: /usr/lib/libntlm.la: No such file or directory
> /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> make[3]: *** [libmuauth.la] Error 1

Hi.

You might want to use a versioned B-D on libgsasl7-dev, to ensure you're
building against a fixed version, once #444311 is solved.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Blocking bugs of 444551 added: 444311 Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:30:04 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#444551; Package mailutils. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #19 received at 444551@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 444551@bugs.debian.org, 444311@bugs.debian.org, asac@debian.org, 444549@bugs.debian.org
Subject: Re: Bug#444551: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sun, 14 Oct 2007 17:52:17 +0200
On Sun, Sep 30, 2007 at 06:29:53AM +0200, Cyril Brulebois wrote:
> severity 444311 grave
> tag 444311 patch
> block 444551 by 444311
> tag 444551 patch
> thanks

I don't see a patch in the BTS anywhere.

> Lucas Nussbaum <lucas@lucas-nussbaum.net> (29/09/2007):
> > libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
> > grep: /usr/lib/libntlm.la: No such file or directory
> > /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> > libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> > make[3]: *** [libmuauth.la] Error 1
> 
> Hi.
> 
> You might want to use a versioned B-D on libgsasl7-dev, to ensure you're
> building against a fixed version, once #444311 is solved.

There is no need to to add a versioned build-depends.  Just close
those bugs (without version) once #444311 is solved.


Kurt





Reply sent to Ana Guerrero <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 444551-done@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 444551-done@bugs.debian.org
Subject: Re: Bug#444551: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sat, 12 Jan 2008 23:17:40 +0100
On Sat, Sep 29, 2007 at 12:28:30PM +0200, Lucas Nussbaum wrote:
> Package: mailutils
> version: 1:1.1+dfsg1-3.1
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20070928 qa-ftbfs
> Justification: FTBFS on i386
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on i386.
>

[...]

> libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
> grep: /usr/lib/libntlm.la: No such file or directory
> /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> make[3]: *** [libmuauth.la] Error 1
> make[3]: Leaving directory `/build/user/mailutils-1.1+dfsg1/auth'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/user/mailutils-1.1+dfsg1'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/user/mailutils-1.1+dfsg1'
> make: *** [debian/stamp-makefile-build] Error 2
>

This bug was caused by #444311 that is fixed now, so closing.

Ana





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Feb 2008 07:32:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:03:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.